image: docker:latest

stages:
  - build

variables:
  CONTAINER_LOCAL_IMAGE: adm_engine_worker
  CONTAINER_REGISTRY: registry.gitlab.com
  CONTAINER_IMAGE_NAME: media-cloud-ai/workers/generic/adm-engine-worker
  GIT_SUBMODULE_STRATEGY: recursive

services:
  - docker:dind

before_script:
  - docker info
  - apk update && apk add git

build_image:
  stage: build
  script:
    - export IMAGE_TAG=`git describe --always --tags --first-parent`
    - docker build -t $CONTAINER_LOCAL_IMAGE .
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CONTAINER_REGISTRY
    - docker tag $CONTAINER_LOCAL_IMAGE $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - docker push $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - echo $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
  tags:
    - mcai
